Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2984 - d.o.s. attack against panel/applets
Summary: d.o.s. attack against panel/applets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core
Version: 6.0
Hardware: sparc
OS: Linux
high
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-23 16:30 UTC by Marco Colombo
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-09 20:19:00 UTC


Attachments (Terms of Use)

Description Marco Colombo 1999-05-23 16:30:29 UTC
It seems that each applet added to the panel open a
LISTENing socket. telneting to that port causes that
applet to crash (i.e. disappear from the panel). Sometimes
the panel it self crashes. Here's the output of a netstat:
tcp        0      0 *:1176
*:*                     LISTEN
tcp        0      0 *:1175
*:*                     LISTEN
tcp        0      0 *:1174
*:*                     LISTEN
tcp        0      0 *:1173
*:*                     LISTEN
tcp        0      0 *:1172
*:*                     LISTEN
tcp        0      0 *:1171
*:*                     LISTEN
tcp        0      0 *:1164
*:*                     LISTEN

this kind of attack has been tested from both the same
system (where the ports can be easily discovered) and
a remote one (from which you have to scan all ports above
1024).

Comment 1 Elliot Lee 1999-05-25 23:28:59 UTC
Just verified that this happens, and know the solution. It's an
ORBit/tcp_wrappers interaction that only happens on the sparc or other
platforms that have -fpic _NEEDED_ for shared libraries. Will try to
get a fix done this week.

Comment 2 Owen Taylor 1999-06-09 20:19:59 UTC
Fixed in ORBit-0.4.3-3.sparc.rpm in errata.
(This was a bad interaction between in ORbit and tcp_wrappers)


Note You need to log in before you can comment on or make changes to this bug.